Package Details: uade 2.13-2

Git Clone URL: https://aur.archlinux.org/uade.git (read-only)
Package Base: uade
Description: Unix Amiga Delitracker Emulator
Upstream URL: http://zakalwe.fi/uade
Licenses: GPL
Submitter: None
Maintainer: grimi
Last Packager: grimi
Votes: 25
Popularity: 0.354476
First Submitted: 2005-08-20 07:28
Last Updated: 2015-06-08 16:49

Latest Comments

grimi commented on 2010-05-07 14:34

It looks like Audacious devs changed API (again) .
Temporary solution : disabled plugin for adacious,
until i find some patch or next uade release...

kotyz commented on 2010-05-06 19:03

compile error:

plugin.c:81:3: warning: initialization from incompatible pointer type
plugin.c:88:3: error: unknown field ‘get_song_info’ specified in initializer
plugin.c:88:3: warning: initialization from incompatible pointer type
plugin.c:89:3: warning: initialization from incompatible pointer type
plugin.c: In function ‘play_loop’:
plugin.c:665:2: warning: dereferencing type-punned pointer will break strict-aliasing rules
plugin.c: In function ‘uade_get_time’:
plugin.c:978:28: error: ‘struct OutputAPI’ has no member named ‘output_time’
plugin.c:979:1: warning: control reaches end of non-void function
make[1]: *** [plugin.o] Error 1
make[1]: Leaving directory `/home/kotyz/builds/abs/local/uade/src/uade-2.13/src/frontends/audacious'
make: *** [audaciousplugin] Error 2
==> CHYBA: Sestavení selhalo.
Probíhá rušení...

maybe too new version of audacious?